part of trober_sdk.api;

enum ContainerStatus {
  unassigned,
  inTransit,
  arrived,
  assigned,
  accepted,
  rejected,
  loaded,
  unloaded,
  abandoned
}

class ContainerStatusTypeTransformer {
  static Map<String, ContainerStatus> fromJsonMap = {
    "Unassigned": ContainerStatus.unassigned,
    "InTransit": ContainerStatus.inTransit,
    "Arrived": ContainerStatus.arrived,
    "Assigned": ContainerStatus.assigned,
    "Accepted": ContainerStatus.accepted,
    "Rejected": ContainerStatus.rejected,
    "Loaded": ContainerStatus.loaded,
    "Unloaded": ContainerStatus.unloaded,
    "Abandoned": ContainerStatus.abandoned
  };
  static Map<ContainerStatus, String> toJsonMap = {
    ContainerStatus.unassigned: "Unassigned",
    ContainerStatus.inTransit: "InTransit",
    ContainerStatus.arrived: "Arrived",
    ContainerStatus.assigned: "Assigned",
    ContainerStatus.accepted: "Accepted",
    ContainerStatus.rejected: "Rejected",
    ContainerStatus.loaded: "Loaded",
    ContainerStatus.unloaded: "Unloaded",
    ContainerStatus.abandoned: "Abandoned"
  };

  static ContainerStatus fromJson(dynamic data) {
    var found = fromJsonMap[data];
    if (found == null) {
      throw ('Unknown enum value to decode: $data');
    }
    return found;
  }

  static dynamic toJson(ContainerStatus data) {
    return toJsonMap[data];
  }

  static List<ContainerStatus> listFromJson(List<dynamic> json) {
    return json == null
        ? <ContainerStatus>[]
        : json.map((value) => fromJson(value)).toList();
  }

  static ContainerStatus copyWith(ContainerStatus instance) {
    return instance;
  }

  static Map<String, ContainerStatus> mapFromJson(Map<String, dynamic> json) {
    final map = <String, ContainerStatus>{};
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = fromJson(value));
    }
    return map;
  }
}
